> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonMetrics

> Information about jetton metrics (price, holders count, liquidity (tvl), fdmc, trust score)



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/{address}/metrics
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/{address}/metrics:
    get:
      tags:
        - JettonsService
      summary: getJettonMetrics
      description: >-
        Information about jetton metrics (price, holders count, liquidity (tvl),
        fdmc, trust score)
      operationId: JettonsService_GetMetrics
      parameters:
        - name: address
          in: path
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          required: true
          schema:
            type: string
        - name: currency
          in: query
          schema:
            type: string
            default: ton
            enum:
              - ton
              - usd
              - eur
              - gbp
              - jpy
              - byn
              - ves
              - rub
              - uah
              - kzt
              - krw
              - ils
              - idr
              - aed
              - gel
              - twd
              - try
              - hkd
              - inr
              - cad
              - amd
              - aud
              - pln
              - cop
              - brl
              - chf
              - mxn
              - ars
              - sgd
              - sar
              - mdl
              - ron
              - sek
              - azn
              - rsd
              - nok
              - myr
              - bgn
              - egp
              - gtq
              - clp
              - nzd
              - bdt
              - kgs
              - thb
              - uzs
              - uyu
              - vnd
              - ugx
              - kes
              - zar
              - etb
              - ngn
              - lkr
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetMetricsResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetMetricsResponse:
      type: object
      properties:
        metrics:
          $ref: '#/components/schemas/v1JettonMetrics'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1JettonMetrics:
      type: object
      properties:
        address:
          title: Jetton address
          type: string
          description: 'Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`'
          example: 0:906697a57af1cdb1bc39214b7049ae02b3c92a5b0c342ac61e0eb8bd9304b5f1
        price:
          $ref: '#/components/schemas/v1DecimalValue'
        priceUsd:
          $ref: '#/components/schemas/v1DecimalValue'
        priceCurrency:
          $ref: '#/components/schemas/v1DecimalValue'
        holdersCount:
          title: Number of jetton holders
          type: string
          format: uint64
          example: '7351'
        liquidityUsd:
          $ref: '#/components/schemas/v1DecimalValue'
        liquidityCurrency:
          $ref: '#/components/schemas/v1DecimalValue'
        fdmc:
          $ref: '#/components/schemas/v1DecimalValue'
        fdmcCurrency:
          $ref: '#/components/schemas/v1DecimalValue'
        mcap:
          $ref: '#/components/schemas/v1DecimalValue'
        mcapCurrency:
          $ref: '#/components/schemas/v1DecimalValue'
        circulatingSupply:
          title: Circulating supply
          type: string
          description: >-
            The amount of a cryptocurrency that is currently available to the
            market.

            Basic token unit. To get the decimals value: circulatingSupply *
            pow(10, -decimals)
        trustScore:
          title: Trust score
          type: integer
          description: |-
            The percent of trust.
            Value in range [0, 100]
          format: int64
          example: 100
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'

````